%define	name	xwhois
%define	version	0.4.2
%define	release	1
%define	serial	3

# Use --define "static 1" or change the following 0 to a 1 to
# build static package
%{?!static:%define static 0}

Summary:	X Windows Whois Tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Group:		Applications/Internet
Copyright:	GPL
Vendor:		Bjorn Lindgren <bjorn@500mhz.net>
Url:		http://www.oxygene.500mhz.net/xwhois/
Source:		%{name}-%{version}.tar.gz
Buildroot:	/var/tmp/%{name}-%{version}-root

%description
xwhois is a small and fast query tool for the whois service. (rfc954)

%if %{static}
%package	static
Summary:	X Windows Whois Tool
Group:		Applications/Internet
Conflicts:	%{name}

%description static
xwhois is a small and fast query tool for the whois service. (rfc954)
	### Statically Compiled ###
%endif

%prep
%setup -q

%build
%configure --prefix=/usr
make

%if %{static}
mv  src/xwhois src/xwhois-dyn
make CC="gcc -static"
mv  src/xwhois src/xwhois-static
mv  src/xwhois-dyn src/xwhois
%endif

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install

%if %{static}
install -s -m 755  src/xwhois-static $RPM_BUILD_ROOT/usr/bin

%post   static
if [ ! -e /usr/bin/xwhois ]; then
        cd /usr/bin;
        ln -s xwhois-static xwhois;
fi

%preun  static
if [ -L /usr/bin/xwhois ]; then
        rm /usr/bin/xwhois;
fi
%endif

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog docs/TODO
/usr/bin/xwhois
/usr/share/gnome/apps/Internet/Xwhois.desktop
/usr/share/pixmaps/xwhois.xpm
/usr/share/xwhois

%if %{static}
%files	static
%defattr(-,root,root)
%doc README COPYING ChangeLog docs/TODO
/usr/bin/xwhois-static
/usr/share/gnome/apps/Internet/Xwhois.desktop
/usr/share/pixmaps/xwhois.xpm
/usr/share/xwhois
%endif

%changelog
* Mon Feb  7 2000 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.4.2-1]
- added missing <signal.h> include.
- corrected a possible buffer overrun bug in the history
  file reader/parser histread.c that may cause Xwhois
  to crash if started with a oldformat history file.
- added whois.abuse.net to whois server database.
- added whois.crsnic.net to whois server database.
- added whois.fapesp.br to whois server database.
- added whois.nic.net.sg to whois server database.
- added whois.registry.hm to whois server database.
- added domainz.waikato.ac.nz to whois server database.
- added whois.tonic.to to whois server database.
- added whois.opensrs.net to whois server database.
- added whois.tucows.com to whois server database.
- added whois.domaindirect.com to whois server database.
- added whois.nic.ac to whois server database.
- added whois.mynic.net to whois server database.
- added whois.thnic.net to whois server database.
- added whois.twnic.net to whois server database.
- added whois.adamsnames.tc to whois server database.

* Tue Jan 25 2000 Ryan Weaver <ryanw@infohwy.com>
- Rewrote spec to only build static binary if --define "static 1" is used
  or if the %define at the top of the spec is changed from 0 to 1.

  [xwhois-0.4.1-1]
- did a workaround for a weird Sun Solaris malloc()
  behaviour (possible bug?) in the history parser function.
- added missing carrige-return stripoff in readserv.c
- added statusbar for displaying status messages,
  width some initial support for message handling
  thru sbprintf() function, more to come later.
- added Swedish entries to GNOME desktop file.
- added geektools.com to whois server database.
- added namespace.org to whois server database.
- added whois.register.com to whois server database.
- added whois.nsiregistry.net to whois server database.
- added whois.networksolutions.com to whois server database.

* Mon Dec  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.4.0-1]
- removed non standard C function snprintf() from histread.c
- fixed some a error in configure.in that made Xwhois broke
  on cc systems.
- fixed null pointer bug in cb_combolist() in xwhois.c.
- added static build option for Sun WorkShop C compiler to
  configure.in.
- fixed some glitches for the Sun WorkShop C compiler in
  configure.in. (Sun WorkShop 'cc' dont cope with the standard
  '-g3' debug & optimize flag like SGI Mips Pro and DEC/Compaq
  Digital Unix/Tru64 Alpha C compilers do).
- rewrote netintwhois.c to handle multiple parallel queries.
- new threaded parallel scanner backend for whois servers
  with both POSIX Threads and fork/pipe threads support.
- slimmed down the borders, changed widget padding from 10
  pixels to 5 pixels, I may consider changing back if people
  dislike the new look.
- added prototype declarations for some non ANSI C functions
  to xwhois.h, to pass tru the gcc -ansi option flag.
- added some ANSI C compliance check options to configure.in.

* Tue Aug 17 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.9-1]
- fixed variable initializion bug in netintwhois.c
- fixed an buffer overrun bug in histread.c that causes Xwhois
  to crash if started with an old style history file.

* Mon Aug  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.8-1]
- added server activation and history to the object history list.
- added support for muliple search objects is a single whois query.

* Thu Aug  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.7-1]
- added options for static and IPv6 to configure.in.
- added IPv6 networking support to netintwhois.c
- wrote a navigator backend to hyperlink that lets you
  browse whois servers a'la Netscape.
- merged Jeremy Elson's hyperlink code and his patch for
  hyperlink help bug into source tree.
- changed installation path for GNOME specific desktop files.
- added whois.6bone.net to whois server database.

* Sun Jun  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.6-1]
- 1999-06-06 - release 0.3.6
- added missing timeout alarm signal handling for connect()
  in netintwhois.c.
- added missing timeout on read() loop in netintwhois.c

* Mon May 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.5-1]
- Removed hyperlink feature patch by Jeremy Elson <jelson@circlemud.org>
  Was not intended for end user usage.
- 1999-05-08 - release 0.3.5
- optimized and cleaned up old junk code from net_int_whois.c,
  should save some clock cycles and use less memory now.
- fixed object bug in histread.c, it should read
  object entries correct now.
- optimized and cleaned up old junk code in net_ext_whois.c
  and net_ext_fwhois.c
- added check for glib-config in configure.in.

* Fri May  7 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.4-2]
- Added hyperlink feature patch by Jeremy Elson <jelson@circlemud.org>

* Thu Apr  1 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.4-1]
- Building Static Binary.
- 1999-04-01 - release 0.3.4
- better GTK+ version checking in configure.in,
  now it works with all existing GTK+ versions.
- fixed possible BO issues and memory optimizion.
- Removed some unnessesary source and header files.
- Fix to the junk/trashing of query string problem.
- Removed enter button callback for gtk_combo->entry.
- Changed xwhois system default dir from
  $(prefix)/lib/xwhois to $(prefix)/share/xwhois.
- Added whois.nic.or.kr to whois server database.
- Created dialog for adding, removing, changing
  whois server entrys.

* Fri Feb 26 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.3-2]
- Building against GTK+ 1.1.15

* Wed Feb 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.3-1]
- 1999-02-10 - release 0.3.3
- * fixes problems with the GTK+ development branch, should work ok
    with GTK+ 1.1.15

* Tue Feb  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.2-1]
- 1999-02-09 - release 0.3.2
- * more source code clean up.
- * begin working on the new object history handler.
- * fixed bug in object history add, strip out empty fields, spaces,
    newline chars, etc.
- * fixed bug in about dialog so it handles window manager close
    signals correct.

* Mon Feb  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.1-1]
- 1999-02-08 - release 0.3.1
- * gtk+ version check in configure.
- * source code clean up.
- * added whois.cdnnet.ca to server database.

* Wed Feb  3 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.0-1]
- 1999-02-02 - release 0.3.0
- * Added compiler optimize flags for Alpha 21164/EV5
- * Created GNU autoconf/automake package.
- * added whois.sics.se to server database.
- * added whois.uk.com to server database.
- * added whois.gb.com to server database.
- * added whois.gb.net to server database.
- * added whois.ripn.net to server database.
- * added whois.stanford.edu to server database.

* Wed Jan 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.9-1]
- 1999-01-19 - release 0.2.9
- * Tooltips for whois servers added.
- * added whois.nic.tm to server database.
- * added whois.nic.tj to server database.
- * added whois.nic.sh to server database.
- * added whois.nic.lk to server database.
- * added whois.nic.pw to server database.
- * added whois.nic.li to server database.
- * added whois.nic.hm to server database.
- * added whois.nic.bt to server database.
- * added whois.nic.as to server database.
- * added whois.nic.af to server database.

* Mon Jan 18 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.8-1]
- 1999-01-17 - release 0.2.8
- * fixed buffer overflow bug that causes seg fault on big querys.
- * added whois.nic.br to server database.
- * added whois.dns.pt to server database.

* Mon Dec 28 1998 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.7-1]
- 1998-12-27 - release 0.2.7
  * source cleanup.
  * added whois.nic.cx to server database.
  * added whois.nic.mx to server database.
  * added whois.nic.ch to server database.

* Mon Dec 21 1998 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.6-1]
- Changes since 0.2.6:
  fixed Solaris 2.5.x snprintf() bug, should compile ok now.

* Fri Nov 27 1998 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.5-1]
- Moved from using Fryguy_ to Ryan Weaver.
- PGP signing RPMS.
- Changes since 0.2.4:
  minor source and package updates.

* Wed Nov 11 1998 Fryguy_ <fryguy@falsehope.com>
  [xwhois-0.2.4-1]
- Changes since 0.2.3:
  added object history and fixed some SysV compatibily issues in Makefile.

* Fri Oct 23 1998 Fryguy_ <fryguy@falsehope.com>
  [xwhois-0.2.3-1]
- Changes since 0.2.2:
  maintaince release, minor bugfixes.

* Tue Oct 20 1998 Fryguy_ <fryguy@falsehope.com>
  [xwhois-0.2.2-1]
- Changes since 0.2.1:
  cleaned up Makefile a bit and fixed some GUI glitches.
- Changes since 0.2.0:
  fixed bug in network code so it wont seg fault if resolve is unsuccessful

* Mon Oct 12 1998 Fryguy_ <fryguy@falsehope.com>
  [xwhois-0.2.0-1]
- Changes since 0.1.9:
  added help button and fixed minor GUI glitches.
